Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.utilities
Class DateUtils

    java.lang.Object
      |
      +--com.autonomy.utilities.DateUtils

public class DateUtils
extends java.lang.Object

Class of utilities specifically to deal with dates and times

Field Summary
`static java.lang.String` | `DATECODE_TODAY`

Constructor Summary
`DateUtils()`

Method Summary
`static java.lang.String` | `getDateString(long lnEpochTime, java.lang.String sDelimiter, boolean bUKFormat, boolean bWithTime, boolean bStringMonth)` returns date string
`static java.lang.String` | `getDateString(java.lang.String sCode, java.lang.String sDelimiter, boolean bUKFormat, boolean bWithTime)` returns date string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATECODE_TODAY

    public static java.lang.String DATECODE_TODAY

Constructor Detail

### DateUtils

    public DateUtils()

Method Detail

### getDateString

    public static java.lang.String getDateString(java.lang.String sCode,
                                                 java.lang.String sDelimiter,
                                                 boolean bUKFormat,
                                                 boolean bWithTime)

  returns date string

  Parameters:
    `sCode` - which date to return, see DATECODE_ Class constants
    `sDelimiter` - Separator characters
    `bUKFormat` - true will return date in DD MM YYYY format, false will return MM DD YYYY format
    `bWithTime` - adds time to end of date string

### getDateString

    public static java.lang.String getDateString(long lnEpochTime,
                                                 java.lang.String sDelimiter,
                                                 boolean bUKFormat,
                                                 boolean bWithTime,
                                                 boolean bStringMonth)

  returns date string

  Parameters:
    `lnEpochTime` - time in ms since 1st Jan 1970
    `sDelimiter` - Separator characters
    `bUKFormat` - true will return date in DD MM YYYY format, false will return MM DD YYYY format
    `bWithTime` - adds time to end of date string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD